<script setup>
import { computed, onMounted, reactive, ref } from "vue";
import { useStore } from "vuex";
import { useRouter, useRoute } from "vue-router";
import MainSection from "@/components/MainSection.vue";
import CardComponent from "@/components/CardComponent.vue";
import TitleHeading from "@/components/TitleHeading.vue";
import Divider from "@/components/Divider.vue";
import Field from "@/components/Field.vue";
import Control from "@/components/Control.vue";
import FilePicker from "@/components/FilePicker.vue";
import JbButton from "@/components/JbButton.vue";
import BottomOtherPagesSection from "@/components/BottomOtherPagesSection.vue";
import JbButtons from "@/components/JbButtons.vue";
import UserCard from "@/components/UserCard.vue";
import CheckRadioPicker from "@/components/CheckRadioPicker.vue";
import ProfileCard from "@/components/ProfileCard.vue";
import UserAvatar from "@/components/UserAvatar.vue";
import Pill from "@/components/Pill.vue";
import Institute from "@/api/institute";
import { useToast } from "vue-toastification";
import ToggleButton from "@/components/ToggleButton.vue";

const router = useRouter();
const route = useRoute();
const toast = useToast();
const store = useStore();
const titleStack = ref(["All Hospital", ""]);
const keyValue = ref(false);
const instituteid = ref(route.params.instituteId);
const hospital = reactive({ detail: "" });
var hospitalList = reactive([]);
onMounted(() => {
  hospital.detail = store.state.currentHospital;
  console.log("HospitalDetail", hospital.detail);
});
Institute.getAll().then((data) => {
  hospitalList = data?.data?.insititutes;
  console.log("hospitalList", hospitalList);
  console.log("hospitalitems", hospitalitems);
});
// View Single Hospital Details
const setCurrentHospital = (insititutes) => {
  store.commit("setCurrentHospital", { insititutes: insititutes });
};
const hospitalitems = computed(() => {
  return hospitalList;
});
</script>

<template>
  <section class="bg-gray-40 px-8 py-10">
    <span class="flex justify-between w-full py-2">
      <div class="flex w-full py-2">
      <title-heading
        :title-stack="titleStack"
        :to="{
          name: 'hospital-list',
        }"
      />
      <span class="text-lg text-gray-250 font-semibold">Hospital Details</span>
    </div>
      <jb-button
        class="btnColor hover:bg-pink-250 px-4 py-2"
        label="Edit Hospital"
        :to="{
          name: 'edit-hospital',
          params: { instituteId: instituteid },
        }"
        :small="buttonsSmall"
        :outline="buttonsOutline"
        :disabled="buttonsDisabled"
      />
    </span>
    <form class="mt-6">
      <profile-card>
        <level class="flex">
          <img v-if="hospital.detail.logo"
            :src="hospital.detail.logo"
            class="justify-left w-20 h-20 items-left border-2 border-gray-150 rounded-full"
          />
          <img v-else
            src="@/assets/icons/hospital-logo.svg"
            class="justify-left w-20 h-20 items-left border-2 border-gray-150 rounded-full"
          />
        </level>
      </profile-card>

      <main-section class="bg-white">
        <h5 class="font-semibold text-black-250 text-sm mb-4 -mt-4">
          General Info
        </h5>
        <div
          v-if="hospital.detail"
          class="grid grid-cols-1 md:grid-cols-5 md:gap-4 gap-2"
        >
          <div class="flex-wrap py-2 text-gray-350">
            <p for="">State :</p>
            <p class="text-black-250 font-semibold text-sm mt-4">
              {{ hospital.detail.state }}
            </p>
          </div>
          <div class="flex-wrap py-2 text-gray-350">
            <p for="">Distict :</p>
            <p class="text-black-250 font-semibold text-sm mt-4">
              {{ hospital.detail.district }}
            </p>
          </div>
          <div class="flex-wrap py-2 text-gray-350">
            <p for="">City :</p>
            <p class="text-black-250 font-semibold text-sm mt-4">
              {{ hospital.detail.city }}
            </p>
          </div>
          <div class="flex-wrap py-2 text-gray-350">
            <p for="">Hospital Name :</p>
            <p class="text-black-250 font-semibold text-sm mt-4">
              {{ hospital.detail.name }}
            </p>
          </div>

          <div class="flex-wrap py-2 text-gray-350">
            <p for="">Email :</p>
            <p class="text-black-250 font-semibold text-sm mt-4">
              {{ hospital.detail.adminEmail }}
            </p>
          </div>
          <div class="flex-wrap py-2 text-gray-350">
            <p for="">Phone No. :</p>
            <p class="text-black-250 font-semibold text-sm mt-4">
              {{ hospital.detail.mobile }}
            </p>
          </div>
          <div class="flex-wrap py-2 text-gray-350">
            <p for="">Total Staff :</p>
            <p class="text-black-250 font-semibold text-sm mt-4">
              {{ hospital.detail.totalStaff }}
            </p>
          </div>
          <div class="flex-wrap py-2 text-gray-350">
            <p for="">Total Patients :</p>
            <p class="text-black-250 font-semibold text-sm mt-4">
              {{ hospital.detail.totalPatient }}
            </p>
          </div>
          <div class="flex-wrap py-2 text-gray-350">
            <p for="">Total Risk Patients :</p>
            <p class="text-pink-250 font-semibold text-sm mt-4">
              {{ hospital.detail.totalStaff }}
            </p>
          </div>
          <div class="flex-wrap py-2 text-gray-350">
            <p for="">Status :</p>
            <div class="mt-4">
              <toggle-button
                v-model="hospital.detail.isActive"
                :data="hospital.detail.isActive"
              />
            </div>
          </div>
          <div class="flex-wrap py-2 text-gray-350 col-span-5">
            <p for="">Address :</p>
            <p class="text-black-250 font-semibold text-sm mt-4">
              {{ hospital.detail.address }}
            </p>
          </div>
          <div
            class="border-0 shadow-none text-gray-400 font-medium col-span-5"
          >
            <p for="">About Hospital :</p>
            <p
              v-if="hospital.detail.about"
              class="text-black-250 font-semibold text-sm mt-4"
            >
              {{ hospital.detail.about }}
            </p>
          </div>
        </div>
      </main-section>
    </form>
  </section>
</template>
